"""Common filenames for the stochastic study of ANUGA
"""

# Working dir
working_dir = '/mnt/store/stochastic3/'
import os
try:
    os.stat(working_dir)
except:
    working_dir = '.' + os.sep
    
# Inputs
boundary_filename = 'input_wave.tms'
bathymetry_filename = 'bathymetry.pts'

# Model name
basename = 'simulation'
mesh_filename = basename + '.msh'


# Gauges (3 timeseries (Ch 5-7-9))
gauges = [[4.521, 1.196],  [4.521, 1.696],  [4.521, 2.196]]
gauge_names = ['ch5', 'ch7', 'ch9']

# Constants
number_of_timesteps = 451 # Known from problem description

# Stats (Suresh ?)
number_of_realisations = 2

#number_of_realisations = 16000

std_dev = 0.0013 #m  #Range is 26.035 cm   (simulation 3) 
#std_dev = 0.0006  #m  #Range is 26.035 cm  (simulation 1)
mean = 0.0
blocksize = 100 #How many realisations to fit at a time

number_of_bins = 10
